LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XTransactionBroadcaster Interface Referencepublished

broadcasts message in case transacted object is committed or reverted. More...

`import"XTransactionBroadcaster.idl";`

Inheritance diagram for XTransactionBroadcaster:

## Public Member Functions
void | addTransactionListener ([in] com::sun::star::embed::XTransactionListener aListener)
| adds the specified listener to receive events about commits and reverts. More...
void | removeTransactionListener ([in] com::sun::star::embed::XTransactionListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

broadcasts message in case transacted object is committed or reverted.

## Member Function Documentation

## ◆ addTransactionListener()

void addTransactionListener | ( | [in] com::sun::star::embed::XTransactionListener | aListener | ) |

adds the specified listener to receive events about commits and reverts.

## ◆ removeTransactionListener()

void removeTransactionListener | ( | [in] com::sun::star::embed::XTransactionListener | aListener | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XTransactionBroadcaster.idl